NameEvaluationErrorListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.namefind

## Class NameEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<NameSample>
  - - opennlp.tools.cmdline.namefind.NameEvaluationErrorListener

- All Implemented Interfaces:
    TokenNameFinderEvaluationMonitor, EvaluationMonitor<NameSample>

      public class NameEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<NameSample>
      implements TokenNameFinderEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameEvaluationErrorListener()` Creates a listener that will print to System.err
    `NameEvaluationErrorListener(OutputStream outputStream)` Creates a listener that will print to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `missclassified(NameSample reference, NameSample prediction)`

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### NameEvaluationErrorListener

          public NameEvaluationErrorListener()

      Creates a listener that will print to System.err

    - #### NameEvaluationErrorListener

          public NameEvaluationErrorListener(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(NameSample reference,
                                     NameSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<NameSample>`
      Specified by:
        `missclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<NameSample>`

Copyright © 2026 The Apache Software Foundation. All rights reserved.